<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:background="@drawable/background_shape_white_radius_6"
    android:paddingTop="20dp"
    android:paddingBottom="12dp">

    <TextView
        android:id="@+id/titleTv"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginLeft="24dp"
        android:layout_marginRight="24dp"
        android:drawableLeft="@drawable/ic_dialog_tips"
        android:drawablePadding="4dp"
        android:text="温馨提示"
        android:textColor="@color/text_title"
        android:textSize="16sp"
        android:textStyle="bold"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <TextView
        android:id="@+id/contentTv"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginLeft="24dp"
        android:layout_marginTop="10dp"
        android:layout_marginRight="24dp"
        android:lineSpacingExtra="7dp"
        android:text="安装当前游戏需要配置谷歌三件套，正在为您检测是否已安装"
        android:textColor="@color/text_subtitle"
        android:textSize="14sp"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/titleTv" />

    <LinearLayout
        android:id="@+id/contentContainer"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginLeft="24dp"
        android:layout_marginTop="14dp"
        android:layout_marginRight="24dp"
        android:background="@drawable/bg_shape_f9_radius_6"
        android:orientation="vertical"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/contentTv">

        <androidx.recyclerview.widget.RecyclerView
            android:id="@+id/packageRv"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="14dp"
            android:overScrollMode="never" />
    </LinearLayout>

    <com.gh.gamecenter.common.view.ThumbProgressBar
        android:id="@+id/progressBar"
        style="?android:attr/progressBarStyleHorizontal"
        android:layout_width="match_parent"
        android:layout_height="12dp"
        android:layout_marginLeft="12dp"
        android:layout_marginTop="8dp"
        android:layout_marginRight="12dp"
        android:max="100"
        android:progress="0"
        android:progressDrawable="@drawable/package_check_dialog_item_progress"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintRight_toRightOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/contentTv" />

    <TextView
        android:id="@+id/linkHintTv"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginLeft="24dp"
        android:layout_marginTop="12dp"
        android:layout_marginRight="24dp"
        android:lineSpacingExtra="7dp"
        android:textColor="@color/text_subtitle"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/contentContainer"
        tools:text="为您前往下载：谷歌工具" />

    <CheckBox
        android:id="@+id/noRemindAgainCb"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginLeft="24dp"
        android:layout_marginTop="12dp"
        android:layout_marginRight="24dp"
        android:button="@null"
        android:drawableLeft="@drawable/selector_device_remind"
        android:drawablePadding="4dp"
        android:text="不再提示"
        android:textColor="@color/text_a9a9a9"
        android:textSize="12sp"
        android:visibility="gone"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/linkHintTv"
        tools:visibility="visible" />

    <TextView
        android:id="@+id/download_btn"
        android:layout_width="match_parent"
        android:layout_height="40dp"
        android:layout_marginLeft="24dp"
        android:layout_marginTop="16dp"
        android:layout_marginRight="24dp"
        android:background="@drawable/border_round_eee_999"
        android:enabled="false"
        android:gravity="center"
        android:text="前往下载"
        android:textColor="@color/comment_send_btn_selector"
        android:textSize="16sp"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/noRemindAgainCb" />

    <TextView
        android:id="@+id/cancelTv"
        android:layout_width="100dp"
        android:layout_height="wrap_content"
        android:layout_marginTop="6dp"
        android:gravity="center"
        android:includeFontPadding="false"
        android:paddingTop="6dp"
        android:paddingBottom="6dp"
        android:text="取消"
        android:textColor="@color/text_subtitleDesc"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/download_btn" />

</androidx.constraintlayout.widget.ConstraintLayout>